Subject: Re: what did I miss? #!.... doesn't work in bash
From: [email-masked] (David Jeffers)

1 Nov 1996 15:58:10 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
Original-To: James Dumser <[email-masked]>
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

>>>>> "James" == James Dumser <[email-masked]> writes:

    James> On Thu, 31 Oct 1996 11:12:02 -0800, David Jeffers
    James> <[email-masked]> wrote:
    >> The bang "#!/usr/sh" line isn't really necessary for shell
    >> scripts using Cygnus bash. I remember reading about a "magic
    >> cookie" but all my scripts work with it or without it on Win
    >> 95. NT Perl uses a BAT file to build an executable so again it
    >> isn't necessary.
    >> 
    >> For instance:
    >> 
    >> #!/bin/sh <---not necessary?  awk ' { print $1 } '

    >> works fine since awk is in my PATH.
    >> 
    >> I think the "#!/bin/sh" line in Cygnus simply means "this is an
    >> executable" since I don't even have to chmod +x after I write
    >> the scripts like I do in Linux...

    James> But you're not answering Bret's question. Sure the above
    James> script works, but try #!/bin/awk { print $1 } This will
    James> work in Unix, but bash (execve() really) still passes this
    James> to bash instead of awk. So the question is how to get bash
    James> to execute a script file with an interpreter other than
    James> bash.

    I thought 
    The question was "HOW do I get various programs to work...
    like "perl" and "tcsh" etc and I offered a solution. I have
    no problem using perl, or any executable in any script, so
    I think his REAL complaint was that it doesn't work just like
    it does in Unix. Well, the first you learn in Unix is "there's
    always more than one way to do something..."

    To each his own!

    David Jeffers	    
<[email-masked]>

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".